stuck at glibc-2.3.4

Joel Miller cheeziologist at mail.isc.rit.edu
Sat May 7 16:26:21 PDT 2005


Asif Baloch wrote:
> Here is the output form config.log. One thing more, do i have to
> upgrade the kernel to 2.6.8.1 or will it work on the default kernel
> that comes with Redhat 9, its 2.4.x.
<snip>
http://lfs.osuosl.org/lfs/view/stable/chapter05/hostreqs.html

The fact that you are going against the book and building from a 2.4 
kernel on your host is likely the problem. Glibc with NPTL requires 
futexes which are only present on 2.6 kernels. I might've read somewhere 
that there are some modified 2.4 kernels that have futex support, but I 
don't know which ones they are. Additionally, udev will not work without 
sysfs support.

-- 
Registered LFS User 6929
Registered Linux User 298182




More information about the lfs-support mailing list